#include <csignal>
#include <cstdio>
#include <cstdlib>

using namespace std;

#include "system.h"
#include "videomgr.h"

static systeemi System;
static videomgr Video;

static void Quittah(int n)
{
    n = n;
	Video.close();
    exit(-1);
}

int main(void)
{
	signal(SIGINT, Quittah);
	
	Video.draw();
	Video.popups();
	
	System.run();
	
	return 0;
}
